const pkg = require('./package')

module.exports = {
  apiPath: 'stubs/api',
  webpackConfig: {
    output: {
      publicPath: `/static/${pkg.name}/${process.env.VERSION || pkg.version}/`,
    },
  },
  navigations: {
    'journal.main': '/journal.pl',
  },
  features: {
    journal: {
      'lesson.bar': {
        on: true,
        value: '',
        key: 'lesson.bar',
      },
      'group.by.date': {
        on: true,
        value: '',
        key: 'group.by.date',
      },
    },
  },
  config: {
    'journal.back.url': '/api',
    'journal.polling-interval': '10000',
  },
}
